- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#body.RunOnDemandIntegrationJobInstanceResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#body.aspect_1)
- [JobInstanceParameter](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#JobInstanceParameter)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#JobInstanceParameter.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.integrations.jobs.jobInstances.runOnDemand

Executes a scheduled background job immediately and only once, bypassing the normal schedule. Use this method to trigger an on-demand run of a job (e.g., for synchronization or troubleshooting).

### HTTP request

`POST https://{endpoint}/v1/{name}:runOnDemand`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the IntegrationJobInstance to rollback from. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/jobs/{job}/jobInstances/{jobInstance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "parameters": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#JobInstanceParameter`) } ] } ``` |

| Fields ||
|---|---|
| `parameters[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.jobInstances/runOnDemand#JobInstanceParameter`)`` Optional. Job instance parameters. |

### Response body

RunOnDemandIntegrationJobInstanceResponse is the response of running the job instance on demand.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "success": boolean } ``` |

| Fields ||
|---|---|
| `success` | `boolean` Optional. Indicates the job run completed successfully. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.jobInstances.run`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## JobInstanceParameter

Defines a job instance parameter.

| JSON representation |
|---|
| ``` { "displayName": string, "value": string } ``` |

| Fields ||
|---|---|
| `displayName` | `string` Optional. The parameter display name. |
| `value` | `string` Optional. The value of the parameter. |